# Interface SsaiConfiguration

interface SsaiConfiguration {
enableDiscontinuities: boolean;
enableOm: boolean;
hideOverlays: boolean;
omParams: OmConfiguration;
timeout: number;
vmapURLParams: object;
}

#####
Index

### Properties

enableDiscontinuities
enableOm
hideOverlays
omParams
timeout
vmapURLParams

## Properties

### enableDiscontinuities

enableDiscontinuities: boolean

If true, request the video source with HLS discontinuities or DASH multiperiod. Only valid for VOD SSAI. Defaults to `true`

### enableOm

enableOm: boolean

If true (and the necessary Open Measurement SDK scripts are embedded), the plugin will use values from the omParams object to start an OM manager and create a new OM session client. Defaults to `false`

### hideOverlays

hideOverlays: boolean

If true, the countdown timer and Learn More click through overlays will not be shown while ads are playing. Defaults to `false`

### omParams

omParams: OmConfiguration

An object describing the required parameters for starting an Open Measurement session client and OM ad features.

### timeout

timeout: number

The number of milliseconds after which an XHR to fetch a VMAP will time out. Defaults to `45000`

### vmapURLParams

vmapURLParams: object

An object containing the parameters for replacing arbitrary values in the VMAP source URL. See: https://apis.support.brightcove.com/ssai/getting-started/video-cloud-ssai-ad-config-api.html#URL_variables Object keys can have any name. The name of this variable must match the VMAP source URL param string or else it will not be replaced. Defaults to an empty object